Construct a new BSON document (unused)

- « MongoDB\BSON\Document

- MongoDB\BSON\Document::fromBSON »

- PHP Manual
- MongoDB\BSON\Document
- Construct a new BSON document (unused)

# MongoDB\BSON\Document::__construct

(mongodb >=1.16.0)

MongoDB\BSON\Document::__construct — Construct a new BSON document (unused)

### Description

final private MongoDB\BSON\Document::__construct()

MongoDB\BSON\Document objects are created through static factory methods and cannot be instantiated directly.

### Parameters

This function has no parameters.

### See Also

- MongoDB\BSON\Document::fromPHP() - Construct a new document instance from PHP data
- MongoDB\BSON\Document::fromBSON() - Construct a new document instance from a BSON string
- MongoDB\BSON\Document::fromJSON() - Construct a new document instance from a JSON string
- » BSON Types